Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.uicli.mom
Class JUTags

`java.lang.Object
oracle.jbo.mom.Tags
oracle.jbo.uicli.mom.JUTags`

public class JUTags
extends Tags

Field Summary
`static java.lang.String` | `ActionProcessorClassName`
`static java.lang.String` | `AdapterDataControl`
`static java.lang.String` | `APPLICATION_USAGE`
`static java.lang.String` | `APPLICATION_USAGES`
`static java.lang.String` | `BC4JDataControl`
`static java.lang.String` | `BeanClass`
`static java.lang.String` | `BindingContainer`
`static java.lang.String` | `BindingContainerRef`
`static java.lang.String` | `Configuration`
`static java.lang.String` | `Contents`
`static java.lang.String` | `ControllerClassName`
`static java.lang.String` | `CredentialStoreDataControl`
`static java.lang.String` | `DATA_CONTROL_USAGES`
`static java.lang.String` | `DataControl`
`static java.lang.String` | `DataControlConfigs`
`static java.lang.String` | `DC_USAGE`
`static java.lang.String` | `DefClass`
`static java.lang.String` | `DefinitionClass`
`static java.lang.String` | `DesignTimeClass`
`static java.lang.String` | `EJBDataControl`
`static java.lang.String` | `EventClass`
`static java.lang.String` | `executables`
`static java.lang.String` | `FactoryClass`
`static java.lang.String` | `FullName`
`static java.lang.String` | `JavaBeanDataControl`
`static java.lang.String` | `ObjectType`
`static java.lang.String` | `OldSession`
`static java.lang.String` | `Package`
`static java.lang.String` | `PAGE_DEFINITION_USAGES`
`static java.lang.String` | `PAGE_MAP`
`static java.lang.String` | `PAGE_MAP_ENTRY`
`static java.lang.String` | `PAGE_MAP_KEY`
`static java.lang.String` | `PAGE_MAP_VALUE`
`static java.lang.String` | `pageDefinitionUsage`
`static java.lang.String` | `parameter`
`static java.lang.String` | `Parameter`
`static java.lang.String` | `parameters`
`static java.lang.String` | `Parameters`
`static java.lang.String` | `PNAME_Accessor`
`static java.lang.String` | `PNAME_accessorIterator`
`static java.lang.String` | `PNAME_action`
`static java.lang.String` | `PNAME_AMName`
`static java.lang.String` | `PNAME_Ascending`
`static java.lang.String` | `PNAME_attributeValue`
`static java.lang.String` | `PNAME_attributeValues`
`static java.lang.String` | `PNAME_bindingContainer`
`static java.lang.String` | `PNAME_Binds`
`static java.lang.String` | `PNAME_button`
`static java.lang.String` | `PNAME_buttonGroup`
`static java.lang.String` | `PNAME_combobox`
`static java.lang.String` | `PNAME_defaultControl`
`static java.lang.String` | `PNAME_dynamicList`
`static java.lang.String` | `PNAME_formattedTextField`
`static java.lang.String` | `PNAME_graph`
`static java.lang.String` | `PNAME_invokeAction`
`static java.lang.String` | `PNAME_iterator`
`static java.lang.String` | `PNAME_IterTokenValidation`
`static java.lang.String` | `PNAME_label`
`static java.lang.String` | `PNAME_list`
`static java.lang.String` | `PNAME_listOfValues`
`static java.lang.String` | `PNAME_listSingleSel`
`static java.lang.String` | `PNAME_lovButton`
`static java.lang.String` | `PNAME_methodAction`
`static java.lang.String` | `PNAME_methodIterator`
`static java.lang.String` | `PNAME_pageDefinition`
`static java.lang.String` | `PNAME_progressBar`
`static java.lang.String` | `PNAME_progressBarAttr`
`static java.lang.String` | `PNAME_RSIName`
`static java.lang.String` | `PNAME_scrollBar`
`static java.lang.String` | `PNAME_scrollBarAttr`
`static java.lang.String` | `PNAME_slider`
`static java.lang.String` | `PNAME_sliderAttr`
`static java.lang.String` | `PNAME_Sortable`
`static java.lang.String` | `PNAME_SortCriteria`
`static java.lang.String` | `PNAME_SortCriteriaCollection`
`static java.lang.String` | `PNAME_SortOn`
`static java.lang.String` | `PNAME_spinner`
`static java.lang.String` | `PNAME_staticList`
`static java.lang.String` | `PNAME_table`
`static java.lang.String` | `PNAME_tree`
`static java.lang.String` | `PNAME_treeNodeDefinition`
`static java.lang.String` | `PNAME_variableIterator`
`static java.lang.String` | `PNAME_variableUsage`
`static java.lang.String` | `PNAME_ViewDefName`
`static java.lang.String` | `PNAME_VOName`
`static java.lang.String` | `ProjectConfigurer`
`static java.lang.String` | `RangeSize`
`static java.lang.String` | `Refresh`
`static java.lang.String` | `RefreshCondition`
`static java.lang.String` | `RowSet`
`static java.lang.String` | `SubType`
`static java.lang.String` | `SupportsFindMode`
`static java.lang.String` | `SupportsRangesize`
`static java.lang.String` | `SupportsResetState`
`static java.lang.String` | `SupportsSortCollection`
`static java.lang.String` | `SupportsTransactions`
`static java.lang.String` | `SYNC_MODE`
`static java.lang.String` | `ToplinkDataControl`
`static java.lang.String` | `USAGE_PATH`
`static java.lang.String` | `UseExistingResult`
`static java.lang.String` | `VAL_MODE_STR`
`static java.lang.String` | `variable`
`static java.lang.String` | `variables`
`static java.lang.String` | `WebServiceDataControl`

Fields inherited from class oracle.jbo.mom.Tags
`_NAME, CONNECTION, CONTAINEE, CONTAINER, DEFAULT_VALUE, EXPRESSION, ID, IS_NOTNULL, IS_QUERYABLE, IS_UPDATEABLE, KIND, NAME, NAMED_DATA, NEW_NAME, OBJECT_TYPE, OLD_NAME, PRECISION, PROJECT, SCALE, SUBSTITUTE, SUBSTITUTES, TYPE, VALUE`

Constructor Summary
`JUTags()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RangeSize

    public static final java.lang.String RangeSize

  See Also:
    Constant Field Values

### DataControl

    public static final java.lang.String DataControl

  See Also:
    Constant Field Values

### DefClass

    public static final java.lang.String DefClass

  See Also:
    Constant Field Values

### RowSet

    public static final java.lang.String RowSet

  See Also:
    Constant Field Values

### Configuration

    public static final java.lang.String Configuration

  See Also:
    Constant Field Values

### Package

    public static final java.lang.String Package

  See Also:
    Constant Field Values

### EventClass

    public static final java.lang.String EventClass

  See Also:
    Constant Field Values

### FactoryClass

    public static final java.lang.String FactoryClass

  See Also:
    Constant Field Values

### DefinitionClass

    public static final java.lang.String DefinitionClass

  See Also:
    Constant Field Values

### BindingContainer

    public static final java.lang.String BindingContainer

  See Also:
    Constant Field Values

### BindingContainerRef

    public static final java.lang.String BindingContainerRef

  See Also:
    Constant Field Values

### SubType

    public static final java.lang.String SubType

  See Also:
    Constant Field Values

### PNAME_invokeAction

    public static final java.lang.String PNAME_invokeAction

  See Also:
    Constant Field Values

### PNAME_Accessor

    public static final java.lang.String PNAME_Accessor

  See Also:
    Constant Field Values

### PNAME_AMName

    public static final java.lang.String PNAME_AMName

  See Also:
    Constant Field Values

### PNAME_Binds

    public static final java.lang.String PNAME_Binds

  See Also:
    Constant Field Values

### PNAME_VOName

    public static final java.lang.String PNAME_VOName

  See Also:
    Constant Field Values

### PNAME_ViewDefName

    public static final java.lang.String PNAME_ViewDefName

  See Also:
    Constant Field Values

### PNAME_RSIName

    public static final java.lang.String PNAME_RSIName

  See Also:
    Constant Field Values

### PNAME_Sortable

    public static final java.lang.String PNAME_Sortable

  See Also:
    Constant Field Values

### PNAME_IterTokenValidation

    public static final java.lang.String PNAME_IterTokenValidation

  See Also:
    Constant Field Values

### PNAME_SortCriteriaCollection

    public static final java.lang.String PNAME_SortCriteriaCollection

  See Also:
    Constant Field Values

### PNAME_SortCriteria

    public static final java.lang.String PNAME_SortCriteria

  See Also:
    Constant Field Values

### PNAME_SortOn

    public static final java.lang.String PNAME_SortOn

  See Also:
    Constant Field Values

### PNAME_Ascending

    public static final java.lang.String PNAME_Ascending

  See Also:
    Constant Field Values

### OldSession

    public static final java.lang.String OldSession

  See Also:
    Constant Field Values

### BeanClass

    public static final java.lang.String BeanClass

  See Also:
    Constant Field Values

### Parameters

    public static final java.lang.String Parameters

  See Also:
    Constant Field Values

### parameters

    public static final java.lang.String parameters

  See Also:
    Constant Field Values

### Parameter

    public static final java.lang.String Parameter

  See Also:
    Constant Field Values

### parameter

    public static final java.lang.String parameter

  See Also:
    Constant Field Values

### ObjectType

    public static final java.lang.String ObjectType

  See Also:
    Constant Field Values

### FullName

    public static final java.lang.String FullName

  See Also:
    Constant Field Values

### DataControlConfigs

    public static final java.lang.String DataControlConfigs

  See Also:
    Constant Field Values

### Contents

    public static final java.lang.String Contents

  See Also:
    Constant Field Values

### ProjectConfigurer

    public static final java.lang.String ProjectConfigurer

  See Also:
    Constant Field Values

### SupportsTransactions

    public static final java.lang.String SupportsTransactions

  See Also:
    Constant Field Values

### SupportsFindMode

    public static final java.lang.String SupportsFindMode

  See Also:
    Constant Field Values

### SupportsRangesize

    public static final java.lang.String SupportsRangesize

  See Also:
    Constant Field Values

### SupportsSortCollection

    public static final java.lang.String SupportsSortCollection

  See Also:
    Constant Field Values

### SupportsResetState

    public static final java.lang.String SupportsResetState

  See Also:
    Constant Field Values

### DesignTimeClass

    public static final java.lang.String DesignTimeClass

  See Also:
    Constant Field Values

### Refresh

    public static final java.lang.String Refresh

  See Also:
    Constant Field Values

### RefreshCondition

    public static final java.lang.String RefreshCondition

  See Also:
    Constant Field Values

### ControllerClassName

    public static final java.lang.String ControllerClassName

  See Also:
    Constant Field Values

### ActionProcessorClassName

    public static final java.lang.String ActionProcessorClassName

  See Also:
    Constant Field Values

### executables

    public static final java.lang.String executables

  See Also:
    Constant Field Values

### variables

    public static final java.lang.String variables

  See Also:
    Constant Field Values

### variable

    public static final java.lang.String variable

  See Also:
    Constant Field Values

### UseExistingResult

    public static final java.lang.String UseExistingResult

  See Also:
    Constant Field Values

### PNAME_table

    public static final java.lang.String PNAME_table

  See Also:
    Constant Field Values

### PNAME_tree

    public static final java.lang.String PNAME_tree

  See Also:
    Constant Field Values

### PNAME_attributeValue

    public static final java.lang.String PNAME_attributeValue

  See Also:
    Constant Field Values

### PNAME_attributeValues

    public static final java.lang.String PNAME_attributeValues

  See Also:
    Constant Field Values

### PNAME_action

    public static final java.lang.String PNAME_action

  See Also:
    Constant Field Values

### PNAME_methodAction

    public static final java.lang.String PNAME_methodAction

  See Also:
    Constant Field Values

### PNAME_iterator

    public static final java.lang.String PNAME_iterator

  See Also:
    Constant Field Values

### PNAME_methodIterator

    public static final java.lang.String PNAME_methodIterator

  See Also:
    Constant Field Values

### PNAME_accessorIterator

    public static final java.lang.String PNAME_accessorIterator

  See Also:
    Constant Field Values

### PNAME_variableIterator

    public static final java.lang.String PNAME_variableIterator

  See Also:
    Constant Field Values

### PNAME_button

    public static final java.lang.String PNAME_button

  See Also:
    Constant Field Values

### PNAME_dynamicList

    public static final java.lang.String PNAME_dynamicList

  See Also:
    Constant Field Values

### PNAME_list

    public static final java.lang.String PNAME_list

  See Also:
    Constant Field Values

### PNAME_listOfValues

    public static final java.lang.String PNAME_listOfValues

  See Also:
    Constant Field Values

### PNAME_staticList

    public static final java.lang.String PNAME_staticList

  See Also:
    Constant Field Values

### PNAME_defaultControl

    public static final java.lang.String PNAME_defaultControl

  See Also:
    Constant Field Values

### PNAME_bindingContainer

    public static final java.lang.String PNAME_bindingContainer

  See Also:
    Constant Field Values

### PNAME_pageDefinition

    public static final java.lang.String PNAME_pageDefinition

  See Also:
    Constant Field Values

### PNAME_treeNodeDefinition

    public static final java.lang.String PNAME_treeNodeDefinition

  See Also:
    Constant Field Values

### EJBDataControl

    public static final java.lang.String EJBDataControl

  See Also:
    Constant Field Values

### BC4JDataControl

    public static final java.lang.String BC4JDataControl

  See Also:
    Constant Field Values

### JavaBeanDataControl

    public static final java.lang.String JavaBeanDataControl

  See Also:
    Constant Field Values

### ToplinkDataControl

    public static final java.lang.String ToplinkDataControl

  See Also:
    Constant Field Values

### WebServiceDataControl

    public static final java.lang.String WebServiceDataControl

  See Also:
    Constant Field Values

### CredentialStoreDataControl

    public static final java.lang.String CredentialStoreDataControl

  See Also:
    Constant Field Values

### AdapterDataControl

    public static final java.lang.String AdapterDataControl

  See Also:
    Constant Field Values

### PNAME_buttonGroup

    public static final java.lang.String PNAME_buttonGroup

  See Also:
    Constant Field Values

### PNAME_formattedTextField

    public static final java.lang.String PNAME_formattedTextField

  See Also:
    Constant Field Values

### PNAME_listSingleSel

    public static final java.lang.String PNAME_listSingleSel

  See Also:
    Constant Field Values

### PNAME_lovButton

    public static final java.lang.String PNAME_lovButton

  See Also:
    Constant Field Values

### PNAME_progressBar

    public static final java.lang.String PNAME_progressBar

  See Also:
    Constant Field Values

### PNAME_progressBarAttr

    public static final java.lang.String PNAME_progressBarAttr

  See Also:
    Constant Field Values

### PNAME_scrollBar

    public static final java.lang.String PNAME_scrollBar

  See Also:
    Constant Field Values

### PNAME_scrollBarAttr

    public static final java.lang.String PNAME_scrollBarAttr

  See Also:
    Constant Field Values

### PNAME_slider

    public static final java.lang.String PNAME_slider

  See Also:
    Constant Field Values

### PNAME_sliderAttr

    public static final java.lang.String PNAME_sliderAttr

  See Also:
    Constant Field Values

### PNAME_spinner

    public static final java.lang.String PNAME_spinner

  See Also:
    Constant Field Values

### PNAME_label

    public static final java.lang.String PNAME_label

  See Also:
    Constant Field Values

### PNAME_graph

    public static final java.lang.String PNAME_graph

  See Also:
    Constant Field Values

### PNAME_combobox

    public static final java.lang.String PNAME_combobox

  See Also:
    Constant Field Values

### DATA_CONTROL_USAGES

    public static final java.lang.String DATA_CONTROL_USAGES

  See Also:
    Constant Field Values

### PAGE_DEFINITION_USAGES

    public static final java.lang.String PAGE_DEFINITION_USAGES

  See Also:
    Constant Field Values

### PAGE_MAP

    public static final java.lang.String PAGE_MAP

  See Also:
    Constant Field Values

### PAGE_MAP_ENTRY

    public static final java.lang.String PAGE_MAP_ENTRY

  See Also:
    Constant Field Values

### PAGE_MAP_KEY

    public static final java.lang.String PAGE_MAP_KEY

  See Also:
    Constant Field Values

### PAGE_MAP_VALUE

    public static final java.lang.String PAGE_MAP_VALUE

  See Also:
    Constant Field Values

### pageDefinitionUsage

    public static final java.lang.String pageDefinitionUsage

  See Also:
    Constant Field Values

### DC_USAGE

    public static final java.lang.String DC_USAGE

  See Also:
    Constant Field Values

### USAGE_PATH

    public static final java.lang.String USAGE_PATH

  See Also:
    Constant Field Values

### APPLICATION_USAGES

    public static final java.lang.String APPLICATION_USAGES

  See Also:
    Constant Field Values

### APPLICATION_USAGE

    public static final java.lang.String APPLICATION_USAGE

  See Also:
    Constant Field Values

### SYNC_MODE

    public static final java.lang.String SYNC_MODE

  See Also:
    Constant Field Values

### VAL_MODE_STR

    public static final java.lang.String VAL_MODE_STR

  See Also:
    Constant Field Values

### PNAME_variableUsage

    public static final java.lang.String PNAME_variableUsage

  See Also:
    Constant Field Values

Constructor Detail

### JUTags

    public JUTags()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.